Skip to main content

Create Sender Identity

Create a new sender identity for a domain.


Endpoint

POST https://api.campaignlark.com/v1/sender-identities

Request Body

FieldTypeRequiredDescription
domain_idintegerrequiredThe ID of the domain to create the identity for.
display_namestringrequiredThe display name (e.g. "My Store").
local_partstringrequiredThe local part of the email address (e.g. "hello").

Sample Request

POST https://api.campaignlark.com/v1/sender-identities
Content-Type: application/json

{
"domain_id": 1,
"display_name": "My Store",
"local_part": "hello"
}

Response

Success — 201 Created

Returns the created sender identity object (see Sender Identity Object).


Errors

StatusMessageCause
400Invalid request body.Request body could not be parsed.
400Various validation errorsDomain not found, local part invalid, identity already exists, etc.